--AH:ScriptId=99c372b0-c176-4a80-9d5b-bcce5a4590bb


CREATE TABLE [PackageInstallInstructions]
(
    [PackageInstallInstruction_Id] INT IDENTITY(1, 1) NOT NULL,
    [Feed_Id] INT NOT NULL,
    [PackageInstallInstruction_Name] NVARCHAR(50) NOT NULL,
    [PackageInstallInstruction_Instructions] NVARCHAR(MAX) NOT NULL,

    CONSTRAINT [PK__PackageInstallInstructions]
		PRIMARY KEY ([PackageInstallInstruction_Id]),

	CONSTRAINT [UQ__PackageInstallInstructions]
		UNIQUE NONCLUSTERED ([Feed_Id], [PackageInstallInstruction_Name]),

	CONSTRAINT [CK__PackageInstallInstructions]
		CHECK (RTRIM(LTRIM([PackageInstallInstruction_Name])) <> ''),

    CONSTRAINT [FK__PackageInstallInstructions_Feeds] 
        FOREIGN KEY ([Feed_Id]) 
        REFERENCES [Feeds] ([Feed_Id]) 
        ON DELETE CASCADE
)
